IF OBJECT_ID('dbo.fn_solonum') IS NOT NULL
    DROP FUNCTION dbo.fn_solonum
GO
CREATE FUNCTION dbo.fn_solonum(@pvc_cadena varchar(100))    
RETURNS varchar(100)    
AS    
BEGIN    
    DECLARE    
        @vvc_cad varchar(100),    
        @vti_contador tinyint    
    
    SET @vti_contador = 1    
    SET @vvc_cad = ''    
    
    WHILE @vti_contador <= Len(@pvc_cadena)    
    BEGIN    
        IF Substring(@pvc_cadena, @vti_contador, 1) LIKE '[0-9]'    
            SET @vvc_cad = @vvc_cad + Substring(@pvc_cadena, @vti_contador, 1)    
    
        SET @vti_contador = @vti_contador + 1    
    END    
    
    RETURN @vvc_cad    
END    
GO
GRANT EXECUTE ON dbo.fn_solonum TO PUBLIC
GO
